## python-certbot 1.1.0

=== debian/changelog ===
python-certbot (1.1.0-1) unstable; urgency=medium

  * New upstream version 1.1.0
  * Drop inactive Uploaders
  * Bump S-V; no changes needed
  * Cleanup unnecessary version deps (cme fix)

 -- Harlan Lieberman-Berg <hlieberman@debian.org>  Thu, 23 Jan 2020 23:02:48 -0500

=== debian/control ===
Source: python-certbot
Maintainer: Debian Let's Encrypt <team+letsencrypt@tracker.debian.org>
Uploaders: Harlan Lieberman-Berg <hlieberman@debian.org>
Section: python
Testsuite: autopkgtest-pkg-python
Priority: optional
Build-Depends: debhelper-compat (= 12),
               dh-python,
               python3,
               python3-acme (>= 0.40.0~),
               python3-configargparse,
               python3-configobj,
               python3-cryptography (>= 1.2.3),
               python3-distro,
               python3-distutils | python3 (<< 3.6.5~),
               python3-josepy,
               python3-mock,
               python3-parsedatetime,
               python3-pytest,
               python3-repoze.sphinx.autointerface,
               python3-requests,
               python3-rfc3339,
               python3-setuptools,
               python3-sphinx (>= 1.6),
               python3-sphinx-rtd-theme,
               python3-tz,
               python3-zope.component,
               python3-zope.interface
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/letsencrypt-team/certbot/certbot
Vcs-Git: https://salsa.debian.org/letsencrypt-team/certbot/certbot.git
Homepage: https://certbot.eff.org/
Rules-Requires-Root: no

Package: python3-certbot
Architecture: all
Depends: python3-acme (>= 0.29.0~),
         python3-requests,
         ${misc:Depends},
         ${python3:Depends}
Recommends: certbot
Suggests: python-certbot-doc
Breaks: python-letsencrypt (<= 0.6.0)
Replaces: python-letsencrypt
Description: main library for certbot
 The objective of Certbot, Let's Encrypt, and the ACME (Automated
 Certificate Management Environment) protocol is to make it possible
 to set up an HTTPS server and have it automatically obtain a
 browser-trusted certificate, without any human intervention. This is
 accomplished by running a certificate management agent on the web
 server.
 .
 This agent is used to:
 .
   - Automatically prove to the Let's Encrypt CA that you control the website
   - Obtain a browser-trusted certificate and set it up on your web server
   - Keep track of when your certificate is going to expire, and renew it
   - Help you revoke the certificate if that ever becomes necessary.
 .
 This package contains the main libraries.

Package: certbot
Architecture: all
Section: web
Depends: python3-certbot (= ${source:Version}),
         ${misc:Depends},
         ${python3:Depends}
Suggests: python3-certbot-apache,
          python3-certbot-nginx,
          python-certbot-doc
Provides: letsencrypt
Replaces: letsencrypt
Description: automatically configure HTTPS using Let's Encrypt
 The objective of Certbot, Let's Encrypt, and the ACME (Automated
 Certificate Management Environment) protocol is to make it possible
 to set up an HTTPS server and have it automatically obtain a
 browser-trusted certificate, without any human intervention. This is
 accomplished by running a certificate management agent on the web
 server.
 .
 This agent is used to:
 .
   - Automatically prove to the Let's Encrypt CA that you control the website
   - Obtain a browser-trusted certificate and set it up on your web server
   - Keep track of when your certificate is going to expire, and renew it
   - Help you revoke the certificate if that ever becomes necessary.
 .
 This package contains the main application, including the standalone
 and the manual authenticators.

Package: python-certbot-doc
Architecture: all
Section: doc
Depends: ${misc:Depends},
         ${sphinxdoc:Depends}
Description: client documentation for certbot
 The objective of Certbot, Let's Encrypt, and the ACME (Automated
 Certificate Management Environment) protocol is to make it possible
 to set up an HTTPS server and have it automatically obtain a
 browser-trusted certificate, without any human intervention. This is
 accomplished by running a certificate management agent on the web
 server.
 .
 This agent is used to:
 .
   - Automatically prove to the Let's Encrypt CA that you control the website
   - Obtain a browser-trusted certificate and set it up on your web server
   - Keep track of when your certificate is going to expire, and renew it
   - Help you revoke the certificate if that ever becomes necessary.
 .
 This package contains the documentation.

## python-certbot 1.7.0

=== debian/changelog ===
python-certbot (1.7.0-1) unstable; urgency=medium

  * New upstream release.
  * Generate ABI version automatically.
  * Add Dutch translation of debconf (Closes: #965070)

 -- Harlan Lieberman-Berg <hlieberman@debian.org>  Tue, 04 Aug 2020 20:22:48 -0400

python-certbot (1.6.0-3) unstable; urgency=medium

  * Fix http-01 test path
  * tests/http-01: add dep on curl

 -- Harlan Lieberman-Berg <hlieberman@debian.org>  Fri, 24 Jul 2020 01:05:06 -0400

python-certbot (1.6.0-2) unstable; urgency=medium

  [ Brad Warren ]
  * Remove readthedocs link

  [ Harlan Lieberman-Berg ]
  * Wait for the pebble server to start, rather than crossing our fingers

 -- Harlan Lieberman-Berg <hlieberman@debian.org>  Wed, 22 Jul 2020 18:46:56 -0400

python-certbot (1.6.0-1) unstable; urgency=medium

  * New upstream version 1.6.0
  * Bump dep on acme to 1.6
  * Bump certbot abi
  * Refresh patches

 -- Harlan Lieberman-Berg <hlieberman@debian.org>  Tue, 07 Jul 2020 17:26:30 -0400

python-certbot (1.5.0-2) experimental; urgency=medium

  * Support warnings on purge for valid certs (Closes: #941719)
  * Add russian translation. (Closes: #963617)
  * Add German translation. (Closes: #964255)

 -- Harlan Lieberman-Berg <hlieberman@debian.org>  Mon, 06 Jul 2020 20:55:10 -0400

python-certbot (1.5.0-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.

 -- Harlan Lieberman-Berg <hlieberman@debian.org>  Tue, 02 Jun 2020 22:05:57 -0400

python-certbot (1.4.0-1) unstable; urgency=medium

  * New upstream version 1.4.0
  * Drop mock dependency unneeded in py3
  * Bump requirement for ACME API to 1.4
  * Bump debhelper-compat to 13

 -- Harlan Lieberman-Berg <hlieberman@debian.org>  Tue, 05 May 2020 19:03:31 -0400

python-certbot (1.3.0-5) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Harlan Lieberman-Berg ]
  * Switch to using Provides for ABI compatibility.

 -- Harlan Lieberman-Berg <hlieberman@debian.org>  Mon, 27 Apr 2020 18:49:28 -0400

python-certbot (1.3.0-4) unstable; urgency=medium

  * http-01 test: kill pebble by job, not process group

 -- Harlan Lieberman-Berg <hlieberman@debian.org>  Sun, 05 Apr 2020 14:03:48 -0400

python-certbot (1.3.0-3) unstable; urgency=medium

  * Fix dependencies in test.

 -- Harlan Lieberman-Berg <hlieberman@debian.org>  Sat, 04 Apr 2020 22:46:25 -0400

python-certbot (1.3.0-2) unstable; urgency=medium

  * Fix broken end-to-end testing 😳

 -- Harlan Lieberman-Berg <hlieberman@debian.org>  Sat, 04 Apr 2020 16:01:37 -0400

python-certbot (1.3.0-1) unstable; urgency=medium

  * New upstream version 1.3.0
  * Enable end-to-end testing 🎉

 -- Harlan Lieberman-Berg <hlieberman@debian.org>  Thu, 26 Mar 2020 21:07:58 -0400

=== debian/control ===
--- 
+++ 
@@ -4,17 +4,17 @@
 Section: python
 Testsuite: autopkgtest-pkg-python
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
+               po-debconf,
                python3,
-               python3-acme (>= 0.40.0~),
+               python3-acme-abi-1 (>= 1.6),
                python3-configargparse,
                python3-configobj,
                python3-cryptography (>= 1.2.3),
                python3-distro,
                python3-distutils | python3 (<< 3.6.5~),
                python3-josepy,
-               python3-mock,
                python3-parsedatetime,
                python3-pytest,
                python3-repoze.sphinx.autointerface,
@@ -34,7 +34,7 @@
 
 Package: python3-certbot
 Architecture: all
-Depends: python3-acme (>= 0.29.0~),
+Depends: python3-acme-abi-1 (>= 1.6),
          python3-requests,
          ${misc:Depends},
          ${python3:Depends}
@@ -42,6 +42,7 @@
 Suggests: python-certbot-doc
 Breaks: python-letsencrypt (<= 0.6.0)
 Replaces: python-letsencrypt
+Provides: python3-certbot-abi-${Abi-major-version} (= ${Abi-major-minor-version}),
 Description: main library for certbot
  The objective of Certbot, Let's Encrypt, and the ACME (Automated
  Certificate Management Environment) protocol is to make it possible

=== debian/rules ===
#!/usr/bin/make -ef

include /usr/share/dpkg/pkg-info.mk

export PYBUILD_NAME = certbot

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_install:
	mkdir -p debian/certbot/usr/bin debian/certbot/etc/letsencrypt
	mv debian/python3-certbot/usr/bin/* debian/certbot/usr/bin
	rm -rf debian/python3-certbot/usr/bin
	mv debian/cli.ini debian/certbot/etc/letsencrypt/cli.ini
	http_proxy='127.0.0.1:9' \
		https_proxy='127.0.0.1:9' \
		sphinx-build -N -bhtml docs/ build/html
	http_proxy='127.0.0.1:9' \
		https_proxy='127.0.0.1:8' \
		sphinx-build -N -bman docs/ build/man

override_dh_installsystemd:
	dh_installsystemd --no-start --package=certbot certbot.service
	dh_installsystemd --package=certbot certbot.timer

override_dh_installinit:

override_dh_installdocs:
	dh_installdocs --doc-main-package=python3-certbot -p python-certbot-doc
	dh_installdocs -p certbot -p python3-certbot

override_dh_installexamples:
	dh_installexamples --doc-main-package=python3-certbot -p python-certbot-doc

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	python3 setup.py test
endif

override_dh_gencontrol:
	echo "Abi-major-version=${DEB_VERSION_UPSTREAM}" | cut -d. -f1 >> debian/abi.substvars
	echo "Abi-major-minor-version=${DEB_VERSION_UPSTREAM}" | cut -d. -f1,2 >> debian/abi.substvars
	dh_gencontrol -- -Tdebian/abi.substvars

## python-certbot 1.12.0

=== debian/changelog ===
python-certbot (1.12.0-2) unstable; urgency=medium

  * Fix certbot potentially triggering on upgrade (Closes: #982292)

 -- Harlan Lieberman-Berg <hlieberman@debian.org>  Sat, 13 Feb 2021 13:56:53 -0500

python-certbot (1.12.0-1) unstable; urgency=medium

  * New upstream version 1.12.0
  * Bump dependencies per setup.py
  * Fix incorrectly removed manpage

 -- Harlan Lieberman-Berg <hlieberman@debian.org>  Tue, 02 Feb 2021 17:03:04 -0500

python-certbot (1.11.0-2) unstable; urgency=high

  * Fix error in postrm check logic (Closes: #973937)

 -- Harlan Lieberman-Berg <hlieberman@debian.org>  Sat, 30 Jan 2021 15:22:31 -0500

python-certbot (1.11.0-1) unstable; urgency=medium

  * Add pt_BR translation of debconf (Closes: #972452)
  * New upstream version 1.11.0

 -- Harlan Lieberman-Berg <hlieberman@debian.org>  Sun, 10 Jan 2021 15:08:34 -0500

python-certbot (1.10.1-1) unstable; urgency=medium

  * New upstream version 1.10.1
  * Bump S-V; no changes needed.
  * Update d/watch to v4

 -- Harlan Lieberman-Berg <hlieberman@debian.org>  Fri, 04 Dec 2020 22:27:41 -0500

python-certbot (1.8.0-1) unstable; urgency=medium

  * New upstream version 1.8.0
  * Bump acme dep to 1.8
  * Add French debconf translation (Closes: #968119)
  * Refresh patches.

 -- Harlan Lieberman-Berg <hlieberman@debian.org>  Wed, 09 Sep 2020 22:46:29 -0400

=== debian/control ===
--- 
+++ 
@@ -8,25 +8,25 @@
                dh-python,
                po-debconf,
                python3,
-               python3-acme-abi-1 (>= 1.6),
+               python3-acme-abi-1 (>= 1.8),
                python3-configargparse,
                python3-configobj,
-               python3-cryptography (>= 1.2.3),
+               python3-cryptography (>= 2.1.4),
                python3-distro,
                python3-distutils | python3 (<< 3.6.5~),
                python3-josepy,
-               python3-parsedatetime,
+               python3-parsedatetime (>= 2.4),
                python3-pytest,
                python3-repoze.sphinx.autointerface,
                python3-requests,
                python3-rfc3339,
-               python3-setuptools,
+               python3-setuptools (>= 39.0.1),
                python3-sphinx (>= 1.6),
                python3-sphinx-rtd-theme,
                python3-tz,
                python3-zope.component,
                python3-zope.interface
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/letsencrypt-team/certbot/certbot
 Vcs-Git: https://salsa.debian.org/letsencrypt-team/certbot/certbot.git
 Homepage: https://certbot.eff.org/
@@ -34,7 +34,7 @@
 
 Package: python3-certbot
 Architecture: all
-Depends: python3-acme-abi-1 (>= 1.6),
+Depends: python3-acme-abi-1 (>= 1.8),
          python3-requests,
          ${misc:Depends},
          ${python3:Depends}

=== debian/rules ===
--- 
+++ 
@@ -20,7 +20,7 @@
 		sphinx-build -N -bman docs/ build/man
 
 override_dh_installsystemd:
-	dh_installsystemd --no-start --package=certbot certbot.service
+	dh_installsystemd --no-start --no-stop-on-upgrade --package=certbot certbot.service
 	dh_installsystemd --package=certbot certbot.timer
 
 override_dh_installinit:

=== debian/tests/control ===
# Smoke test
Test-Command: certbot --help
Restrictions: superficial
Features: test-name=smoke

# End to End HTTP
Tests: http-01
Depends: @, curl, pebble
Restrictions: allow-stderr, isolation-container

## python-certbot 1.21.0

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from https://www.sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest coverage gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"
	@echo "  coverage   to run coverage check of the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/LetsEncrypt.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/LetsEncrypt.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/LetsEncrypt"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/LetsEncrypt"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

coverage:
	$(SPHINXBUILD) -b coverage $(ALLSPHINXOPTS) $(BUILDDIR)/coverage
	@echo "Testing of coverage in the sources finished, look at the " \
	      "results in $(BUILDDIR)/coverage/python.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

=== debian/changelog ===
python-certbot (1.21.0-1build1) jammy; urgency=medium

  * No-change rebuild to update maintainer scripts, see LP: 1959054

 -- Dave Jones <dave.jones@canonical.com>  Wed, 16 Feb 2022 17:26:51 +0000

python-certbot (1.21.0-1) unstable; urgency=medium

  [ Athos Ribeiro ]
  * Add preconfigured renewal flag (closes: #988483) (LP: #1928311)

  [ James Valleroy ]
  * d/upstream/metadata: Add Donation field

  [ Harlan Lieberman-Berg ]
  * Add new signing keys, see bug #999503
  * New upstream version 1.21.0
  * Bump dependency versions.
  * Bump S-V; no changes needed
  * Run wrap-and-sort
  * Work around python test suite failure.

 -- Harlan Lieberman-Berg <hlieberman@debian.org>  Thu, 18 Nov 2021 20:23:12 -0500

python-certbot (1.18.0-1) unstable; urgency=medium

  * Add spanish translation (Closes: #986776)
  * New upstream version 1.18.0
  * Force acme dep in lockstep
  * Drop patch applied upstream.

 -- Harlan Lieberman-Berg <hlieberman@debian.org>  Sun, 15 Aug 2021 23:46:20 -0400

=== debian/control ===
--- 
+++ 
@@ -8,13 +8,13 @@
                dh-python,
                po-debconf,
                python3,
-               python3-acme-abi-1 (>= 1.8),
+               python3-acme-abi-1 (>= 1.21~),
                python3-configargparse,
                python3-configobj,
                python3-cryptography (>= 2.1.4),
                python3-distro,
                python3-distutils | python3 (<< 3.6.5~),
-               python3-josepy,
+               python3-josepy (>= 1.9.0),
                python3-parsedatetime (>= 2.4),
                python3-pytest,
                python3-repoze.sphinx.autointerface,
@@ -26,7 +26,7 @@
                python3-tz,
                python3-zope.component,
                python3-zope.interface
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0.1
 Vcs-Browser: https://salsa.debian.org/letsencrypt-team/certbot/certbot
 Vcs-Git: https://salsa.debian.org/letsencrypt-team/certbot/certbot.git
 Homepage: https://certbot.eff.org/
@@ -34,7 +34,7 @@
 
 Package: python3-certbot
 Architecture: all
-Depends: python3-acme-abi-1 (>= 1.8),
+Depends: python3-acme-abi-1 (>= 1.21),
          python3-requests,
          ${misc:Depends},
          ${python3:Depends}
@@ -42,7 +42,7 @@
 Suggests: python-certbot-doc
 Breaks: python-letsencrypt (<= 0.6.0)
 Replaces: python-letsencrypt
-Provides: python3-certbot-abi-${Abi-major-version} (= ${Abi-major-minor-version}),
+Provides: python3-certbot-abi-${Abi-major-version} (= ${Abi-major-minor-version})
 Description: main library for certbot
  The objective of Certbot, Let's Encrypt, and the ACME (Automated
  Certificate Management Environment) protocol is to make it possible
@@ -66,9 +66,7 @@
 Depends: python3-certbot (= ${source:Version}),
          ${misc:Depends},
          ${python3:Depends}
-Suggests: python3-certbot-apache,
-          python3-certbot-nginx,
-          python-certbot-doc
+Suggests: python-certbot-doc, python3-certbot-apache, python3-certbot-nginx
 Provides: letsencrypt
 Replaces: letsencrypt
 Description: automatically configure HTTPS using Let's Encrypt
@@ -92,8 +90,7 @@
 Package: python-certbot-doc
 Architecture: all
 Section: doc
-Depends: ${misc:Depends},
-         ${sphinxdoc:Depends}
+Depends: ${misc:Depends}, ${sphinxdoc:Depends}
 Description: client documentation for certbot
  The objective of Certbot, Let's Encrypt, and the ACME (Automated
  Certificate Management Environment) protocol is to make it possible

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/,pgpsigurlmangle=s/$/.asc/ \
https://pypi.debian.net/certbot/certbot-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-certbot 1.29.0

=== debian/changelog ===
python-certbot (1.29.0-1) unstable; urgency=medium

  * Add new upstream signing key.
  * Bump dependency on python3-acme
  * Bump S-V; no changes needed
  * New upstream version 1.29.0
  * Suppress useless lintian warnings

 -- Harlan Lieberman-Berg <hlieberman@debian.org>  Sat, 20 Aug 2022 14:43:15 -0400

python-certbot (1.25.0-1) unstable; urgency=medium

  * New upstream version 1.25.0
  * Bump dependencies
  * Bump d/copyright years

 -- Harlan Lieberman-Berg <hlieberman@debian.org>  Sun, 20 Mar 2022 18:16:57 -0400

=== debian/control ===
--- 
+++ 
@@ -8,13 +8,13 @@
                dh-python,
                po-debconf,
                python3,
-               python3-acme-abi-1 (>= 1.21~),
+               python3-acme-abi-1 (>= 1.29~),
                python3-configargparse,
                python3-configobj,
-               python3-cryptography (>= 2.1.4),
+               python3-cryptography (>= 2.5.0~),
                python3-distro,
                python3-distutils | python3 (<< 3.6.5~),
-               python3-josepy (>= 1.9.0),
+               python3-josepy (>= 1.13.0~),
                python3-parsedatetime (>= 2.4),
                python3-pytest,
                python3-repoze.sphinx.autointerface,
@@ -23,10 +23,10 @@
                python3-setuptools (>= 39.0.1),
                python3-sphinx (>= 1.6),
                python3-sphinx-rtd-theme,
-               python3-tz,
+               python3-tz (>= 2019.3),
                python3-zope.component,
                python3-zope.interface
-Standards-Version: 4.6.0.1
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/letsencrypt-team/certbot/certbot
 Vcs-Git: https://salsa.debian.org/letsencrypt-team/certbot/certbot.git
 Homepage: https://certbot.eff.org/
@@ -34,7 +34,7 @@
 
 Package: python3-certbot
 Architecture: all
-Depends: python3-acme-abi-1 (>= 1.21),
+Depends: python3-acme-abi-1 (>= 1.29),
          python3-requests,
          ${misc:Depends},
          ${python3:Depends}
@@ -44,7 +44,8 @@
 Replaces: python-letsencrypt
 Provides: python3-certbot-abi-${Abi-major-version} (= ${Abi-major-minor-version})
 Description: main library for certbot
- The objective of Certbot, Let's Encrypt, and the ACME (Automated
+ The objective of Certbot, Let's Enc
+ rypt, and the ACME (Automated
  Certificate Management Environment) protocol is to make it possible
  to set up an HTTPS server and have it automatically obtain a
  browser-trusted certificate, without any human intervention. This is

## python-certbot 1.31.0

=== debian/changelog ===
python-certbot (1.31.0-1) unstable; urgency=medium

  * New upstream release.
  * Bump dependency on python3-acme

 -- Harlan Lieberman-Berg <hlieberman@debian.org>  Tue, 18 Oct 2022 21:29:52 -0400

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                dh-python,
                po-debconf,
                python3,
-               python3-acme-abi-1 (>= 1.29~),
+               python3-acme-abi-1 (>= 1.31~),
                python3-configargparse,
                python3-configobj,
                python3-cryptography (>= 2.5.0~),
@@ -34,7 +34,7 @@
 
 Package: python3-certbot
 Architecture: all
-Depends: python3-acme-abi-1 (>= 1.29),
+Depends: python3-acme-abi-1 (>= 1.31),
          python3-requests,
          ${misc:Depends},
          ${python3:Depends}

## python-certbot 2.1.0

=== debian/changelog ===
python-certbot (2.1.0-4) unstable; urgency=medium

  * Skip upstream sleep, since we do our own (Closes: #1034003)
  * Add Italian debconf translation (Closes: #1024710)
  * Add Romanian debconf translation (Closes: #1033445)

 -- Harlan Lieberman-Berg <hlieberman@debian.org>  Sun, 16 Apr 2023 01:22:29 -0400

python-certbot (2.1.0-3) unstable; urgency=medium

  * Add certbot.7 (Closes: #1028535)
  * Add patch preserving keytype

 -- Harlan Lieberman-Berg <hlieberman@debian.org>  Tue, 28 Mar 2023 22:13:12 -0400

python-certbot (2.1.0-2) unstable; urgency=medium

  * Bump acme version requirement

 -- Harlan Lieberman-Berg <hlieberman@debian.org>  Wed, 07 Dec 2022 22:30:52 -0500

python-certbot (2.1.0-1) unstable; urgency=medium

  * New upstream version 2.1.0

 -- Harlan Lieberman-Berg <hlieberman@debian.org>  Wed, 07 Dec 2022 20:14:44 -0500

python-certbot (2.0.0-1) unstable; urgency=medium

  * New upstream version 2.0.0
  * Drop unnecessary dependencies
  * Bump acme requirements.

 -- Harlan Lieberman-Berg <hlieberman@debian.org>  Wed, 23 Nov 2022 22:50:06 -0500

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                dh-python,
                po-debconf,
                python3,
-               python3-acme-abi-1 (>= 1.31~),
+               python3-acme-abi-2 (>= 2.1~),
                python3-configargparse,
                python3-configobj,
                python3-cryptography (>= 2.5.0~),
@@ -24,8 +24,6 @@
                python3-sphinx (>= 1.6),
                python3-sphinx-rtd-theme,
                python3-tz (>= 2019.3),
-               python3-zope.component,
-               python3-zope.interface
 Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/letsencrypt-team/certbot/certbot
 Vcs-Git: https://salsa.debian.org/letsencrypt-team/certbot/certbot.git
@@ -34,7 +32,7 @@
 
 Package: python3-certbot
 Architecture: all
-Depends: python3-acme-abi-1 (>= 1.31),
+Depends: python3-acme-abi-2 (>= ${Abi-major-minor-version}),
          python3-requests,
          ${misc:Depends},
          ${python3:Depends}

## python-certbot 2.9.0

=== debian/changelog ===
python-certbot (2.9.0-1) unstable; urgency=medium

  * New upstream version 2.9.0
  * Bump dependency requirements as needed
  * Bump S-V; no changes needed
  * Refresh patches

 -- Harlan Lieberman-Berg <hlieberman@debian.org>  Thu, 08 Feb 2024 20:14:24 -0500

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                python3-acme-abi-2 (>= 2.1~),
                python3-configargparse,
                python3-configobj,
-               python3-cryptography (>= 2.5.0~),
+               python3-cryptography (>= 3.2.1~),
                python3-distro,
                python3-distutils | python3 (<< 3.6.5~),
                python3-josepy (>= 1.13.0~),
@@ -20,11 +20,11 @@
                python3-repoze.sphinx.autointerface,
                python3-requests,
                python3-rfc3339,
-               python3-setuptools (>= 39.0.1),
+               python3-setuptools (>= 41.6.0~),
                python3-sphinx (>= 1.6),
                python3-sphinx-rtd-theme,
                python3-tz (>= 2019.3),
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/letsencrypt-team/certbot/certbot
 Vcs-Git: https://salsa.debian.org/letsencrypt-team/certbot/certbot.git
 Homepage: https://certbot.eff.org/

## python-certbot 2.11.0

=== debian/changelog ===
python-certbot (2.11.0-1) unstable; urgency=medium

  [ James Valleroy ]
  * Drop dependency on python3-distutils (Closes: #1065923)

  [ Harlan Lieberman-Berg ]
  * Remove unnecessary constraints
  * Remove signature verification from d/watch
  * New upstream version 2.11.0
  * Bump acme version requirement
  * Add version requirement for python3-configargparse
  * Refresh patches

 -- Harlan Lieberman-Berg <hlieberman@debian.org>  Tue, 03 Sep 2024 13:32:13 -0400

=== debian/control ===
--- 
+++ 
@@ -8,20 +8,19 @@
                dh-python,
                po-debconf,
                python3,
-               python3-acme-abi-2 (>= 2.1~),
-               python3-configargparse,
+               python3-acme-abi-2 (>= 2.11~),
+               python3-configargparse (>= 1.7~),
                python3-configobj,
-               python3-cryptography (>= 3.2.1~),
+               python3-cryptography,
                python3-distro,
-               python3-distutils | python3 (<< 3.6.5~),
                python3-josepy (>= 1.13.0~),
-               python3-parsedatetime (>= 2.4),
+               python3-parsedatetime,
                python3-pytest,
                python3-repoze.sphinx.autointerface,
                python3-requests,
                python3-rfc3339,
-               python3-setuptools (>= 41.6.0~),
-               python3-sphinx (>= 1.6),
+               python3-setuptools,
+               python3-sphinx,
                python3-sphinx-rtd-theme,
                python3-tz (>= 2019.3),
 Standards-Version: 4.6.2

=== debian/rules ===
--- 
+++ 
@@ -4,8 +4,17 @@
 
 export PYBUILD_NAME = certbot
 
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
+export NOCHECK = true
+endif
+
 %:
 	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
+
+# Because of problems with the way setuptools finds plugins, the tests need to
+# run after the install.
+override_dh_auto_test:
+	echo "Skipping until after install."
 
 override_dh_install:
 	mkdir -p debian/certbot/usr/bin debian/certbot/etc/letsencrypt
@@ -18,6 +27,7 @@
 	http_proxy='127.0.0.1:9' \
 		https_proxy='127.0.0.1:8' \
 		sphinx-build -N -bman docs/ build/man
+	if [ -z ${NOCHECK+x} ]; then dh_auto_test; fi # see override_dh_auto_test
 
 override_dh_installsystemd:
 	dh_installsystemd --no-start --no-stop-on-upgrade --package=certbot certbot.service
@@ -32,11 +42,6 @@
 override_dh_installexamples:
 	dh_installexamples --doc-main-package=python3-certbot -p python-certbot-doc
 
-override_dh_auto_test:
-ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
-	python3 setup.py test
-endif
-
 override_dh_gencontrol:
 	echo "Abi-major-version=${DEB_VERSION_UPSTREAM}" | cut -d. -f1 >> debian/abi.substvars
 	echo "Abi-major-minor-version=${DEB_VERSION_UPSTREAM}" | cut -d. -f1,2 >> debian/abi.substvars

## python-certbot 4.0.0

=== debian/changelog ===
python-certbot (4.0.0-2) unstable; urgency=medium

  * autopkgtests: drop manual IP flag no longer used

 -- Harlan Lieberman-Berg <hlieberman@debian.org>  Sun, 25 May 2025 11:27:29 -0400

python-certbot (4.0.0-1) unstable; urgency=medium

  * Add Swedish po file (Closes: #1072750)
  * New upstream version 4.0.0 (Closes: #1106462)
  * Bump dependency requirements
  * Refresh patches

 -- Harlan Lieberman-Berg <hlieberman@debian.org>  Sat, 24 May 2025 17:04:42 -0400

=== debian/control ===
--- 
+++ 
@@ -8,12 +8,12 @@
                dh-python,
                po-debconf,
                python3,
-               python3-acme-abi-2 (>= 2.11~),
+               python3-acme-abi-4 (>= 2.11~),
                python3-configargparse (>= 1.7~),
                python3-configobj,
-               python3-cryptography,
+               python3-cryptography (>= 43.0.0~),
                python3-distro,
-               python3-josepy (>= 1.13.0~),
+               python3-josepy (>= 2.0~),
                python3-parsedatetime,
                python3-pytest,
                python3-repoze.sphinx.autointerface,
@@ -31,7 +31,7 @@
 
 Package: python3-certbot
 Architecture: all
-Depends: python3-acme-abi-2 (>= ${Abi-major-minor-version}),
+Depends: python3-acme-abi-4 (>= ${Abi-major-minor-version}),
          python3-requests,
          ${misc:Depends},
          ${python3:Depends}

=== debian/tests/control ===
Test-Command: certbot --help
Restrictions: superficial
Features: test-name=smoke

Tests: http-01
Depends: curl, pebble, @
Restrictions: allow-stderr, isolation-container

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/certbot/certbot-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
